#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTableWidget>
#include <QTreeWidget>
#include <QMetaProperty>
#include "myitem.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_treeWidget_itemActivated(QTreeWidgetItem *item, int column);

private:
    Ui::MainWindow *ui;
    int line_count;
    void displayTree(QTreeWidgetItem *target, QObject *obj);
    void displayDetail(QTreeWidgetItem *target, QObject *obj);
    QTableWidgetItem * displayLine (QString name, QString value, QColor color = QColor () );
    void displayProperty (const QObject * obj, QMetaProperty prop);
    void displayObject (QObject * obj);
    void displayMethod (QObject * obj, QMetaMethod meth);
};

#endif // MAINWINDOW_H
